<mat-card class="document-main">
  <mat-card-header>
    <mat-card-title>{{docTitle}}</mat-card-title>
    <mat-card-subtitle *ngIf="docSubTitle">
      <div [innerHTML]="docSubTitle"></div>
    </mat-card-subtitle>
  </mat-card-header>
  <mat-card-content>

    <mat-card class="document-sub" [class.mat-elevation-z0]="true">
      <mat-card-content>

        <div class="content-main regular-mat-form-field">
          <form [formGroup]="documentForm" (ngSubmit)="onSubmit()" (change)="onChange()">


            <!-- Verification for psychiatric, psychosocial and Medical Docs -->
            <div style="background-color: lemonchiffon;" class="content-main regular-mat-form-field"
              *ngIf="preSelectedDocType === 52 || preSelectedDocType === 53 || preSelectedDocType === 54">

              <div fxLayout="row">
                <div fxFlex="100" class="content-sub">
                  <span fxFlex="99" style="margin-top: 5px;">
                    <mat-label class="redLabelBoldLargeText content-sub-label-history consent-margin-psychiatric">
                      Verification
                    </mat-label>
                  </span></div>
              </div>
              <br />

              <div fxLayout="row">
                <div fxFlex="100" class="content-sub">
                  <span fxFlex="99">
                    <mat-checkbox style="margin-left: 10px;"
                      class="content-sub-checkbox required-label-color mat-checkbox-layout"
                      formControlName="isConsentVerifiedCtrl" (change)="onIsConsentCheckChange($event)">
                      {{ verifyMessage  }}
                    </mat-checkbox>
                  </span></div>
              </div>
              <br />

              <div fxLayout="row">
                <div fxFlex="100" class="content-sub">
                  <span fxFlex="99">
                    <mat-label fxFlex="25" class="content-sub-fld1">Verified By :</mat-label>
                    <mat-label fxFlex="25" class="content-sub-fld2">{{ verifiedByName }}
                    </mat-label>
                    <mat-label fxFlex="20" class="content-sub-fld3">Verified Date : </mat-label>
                    <mat-label fxFlex="20" class="content-sub-fld4">{{ verifiedDate }}
                    </mat-label>
                  </span>
                </div>
              </div>

              <div fxLayout="row" *ngIf="preSelectedDocType === 52">
                <div fxFlex="100" class="content-sub">
                  <span fxFlex="99">
                    <mat-label fxFlex="25" class="content-sub-fld1">NYS Licensed
                      Clinician who performed the
                      Evaluation :</mat-label>
                    <mat-form-field fxFlex="25" appearance="outline" class="content-sub-fld2">
                      <mat-select formControlName="clinicianTitleTypeCtrl" placeholder="Select"
                        (selectionChange)="onClinicianTitleTypeChange()" matTooltip="{{ getToolTipData() }}"
                        matTooltipPosition="above">
                        <mat-option *ngFor="let clinicianTitleType of clinicianTitleTypes"
                          [value]="clinicianTitleType.refGroupDetailID">
                          {{ clinicianTitleType.refGroupDetailDescription }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                    <mat-label fxFlex="20" class="content-sub-fld3">Name of Licensed Clinician :</mat-label>
                    <mat-form-field fxFlex="20" appearance="outline" class="content-sub-fld4">
                      <input matInput name="clinicianName" formControlName="clinicianNameCtrl" maxlength="100">
                    </mat-form-field>
                  </span>
                </div>
              </div>

              <div fxLayout="row" *ngIf="preSelectedDocType === 52">
                <div fxFlex="100" class="content-sub">
                  <span fxFlex="99">
                    <mat-label fxFlex="25" class="content-sub-fld1">Clinician License No :</mat-label>
                    <mat-form-field fxFlex="25" appearance="outline" class="content-sub-fld2">
                      <input matInput name="licenseNo" formControlName="licenseNoCtrl" maxlength="50">
                    </mat-form-field>
                    <mat-label fxFlex="20" class="content-sub-fld3">Date of Psychiatric Evaluation :
                    </mat-label>
                    <mat-form-field fxFlex="20" appearance="outline" class="content-sub-fld4">
                      <input matInput [matDatepicker]="Psypicker" id="PsyDateCtrl" formControlName="evaluationDateCtrl"
                        placeholder="MM/DD/YYYY" (change)="validateDate()" [min]="minDate" [max]="maxDate" readonly
                        maxlength="10" dateOnly (click)="Psypicker.open()">
                      <mat-icon matSuffix (click)="Psypicker.open()" style="cursor:pointer; color:#777;">today
                      </mat-icon>
                      <mat-datepicker #Psypicker></mat-datepicker>
                    </mat-form-field>
                  </span>
                </div>
              </div>

              <div fxLayout="row" *ngIf="preSelectedDocType === 52">
                <div fxFlex="100" class="content-sub" *ngIf="isCollaboratingFieldsVisible">
                  <span fxFlex="99">
                    <mat-label fxFlex="25" class="content-sub-fld1">Collaborating NYS Licensed Clinician :</mat-label>
                    <mat-form-field fxFlex="25" appearance="outline" class="content-sub-fld2">
                      <mat-select formControlName="collaboratingClinicianTitleType" placeholder="Select"
                        matTooltip="{{ getCollaboratingToolTipData() }}" matTooltipPosition="above">
                        <mat-option *ngFor="let collaboratingTitleType of collaboratingClinicianTitleTypes"
                          [value]="collaboratingTitleType.refGroupDetailID">
                          {{ collaboratingTitleType.refGroupDetailDescription }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>

                    <mat-label fxFlex="20" class="content-sub-fld3">Collaborating Clinician Name :</mat-label>
                    <mat-form-field fxFlex="20" appearance="outline" class="content-sub-fld4">
                      <input matInput name="collaboratingClinicianName" formControlName="collaboratingClinicianName"
                        maxlength="100">
                    </mat-form-field>
                  </span>
                </div>
              </div>

              <div fxLayout="row" *ngIf="preSelectedDocType === 52">
                <div fxFlex="100" class="content-sub" *ngIf="isCollaboratingFieldsVisible">
                  <span fxFlex="99">
                    <mat-label fxFlex="25" class="content-sub-fld1">Collaborating Clinician License No :</mat-label>
                    <mat-form-field fxFlex="25" appearance="outline" class="content-sub-fld2">
                      <input matInput name="collaboratingClinicianLicenseNo"
                        formControlName="collaboratingClinicianLicenseNo" maxlength="100">
                    </mat-form-field>

                    <mat-label fxFlex="20" class="content-sub-fld3"></mat-label>
                    <mat-label fxFlex="20" class="content-sub-fld4"></mat-label>
                  </span>
                </div>
              </div>

              <div fxLayout="row" *ngIf="preSelectedDocType === 53">
                <div fxFlex="100" class="content-sub">
                  <span fxFlex="99">
                    <mat-label fxFlex="25" class="content-sub-fld1">Name of Qualified Professional : </mat-label>
                    <mat-form-field fxFlex="25" appearance="outline" class="content-sub-fld2">
                      <input matInput name="clinicianName" formControlName="clinicianNameCtrl" maxlength="100">
                    </mat-form-field>
                    <mat-label fxFlex="20" class="content-sub-fld3">Date of Psychosocial Summary : </mat-label>
                    <mat-form-field fxFlex="20" appearance="outline" class="content-sub-fld4">
                      <input matInput [matDatepicker]="socialpicker" id="socialDateCtrl"
                        formControlName="evaluationDateCtrl" placeholder="MM/DD/YYYY" (change)="validateDate()" readonly
                        [min]="minDate" [max]="maxDate" maxlength="10" dateOnly (click)="socialpicker.open()">
                      <mat-icon matSuffix (click)="socialpicker.open()" style="cursor:pointer; color:#777;">today
                      </mat-icon>
                      <mat-datepicker #socialpicker></mat-datepicker>
                    </mat-form-field>
                  </span>
                </div>
              </div>

              <div fxLayout="row" *ngIf="preSelectedDocType === 54">
                <div fxFlex="100" class="content-sub">
                  <span fxFlex="99">
                    <mat-label fxFlex="25" class="content-sub-fld1">
                      Clinician who performed the Medical
                      Evaluation :</mat-label>
                    <mat-form-field fxFlex="25" appearance="outline" class="content-sub-fld2">
                      <mat-select formControlName="clinicianTitleTypeCtrl" placeholder="Select"
                        (selectionChange)="onMedClinicanTypeChange()" matTooltip="{{ getToolTipData() }}"
                        matTooltipPosition="above">
                        <mat-option *ngFor="let clinicianTitleType of clinicianTitleTypes"
                          [value]="clinicianTitleType.refGroupDetailID">
                          {{ clinicianTitleType.refGroupDetailDescription }}
                        </mat-option>
                      </mat-select>
                    </mat-form-field>
                    <mat-label fxFlex="20" class="content-sub-fld3">{{ lblClinicianName }} :</mat-label>
                    <mat-form-field fxFlex="20" appearance="outline" class="content-sub-fld4">
                      <input matInput name="clinicianName" formControlName="clinicianNameCtrl" maxlength="100">
                    </mat-form-field>
                  </span>
                </div>
              </div>

              <div fxLayout="row" *ngIf="preSelectedDocType === 54">
                <div fxFlex="100" class="content-sub">
                  <span fxFlex="99">
                    <mat-label fxFlex="25" class="content-sub-fld1">License No :</mat-label>
                    <mat-form-field fxFlex="25" appearance="outline" class="content-sub-fld2">
                      <input matInput name="licenseNo" formControlName="licenseNoCtrl" maxlength="50">
                    </mat-form-field>
                    <mat-label fxFlex="20" class="content-sub-fld3">Date of Medical Evaluation :
                    </mat-label>
                    <mat-form-field fxFlex="20" appearance="outline" class="content-sub-fld4">
                      <input matInput [matDatepicker]="Medpicker" id="MedDateCtrl" formControlName="evaluationDateCtrl"
                        placeholder="MM/DD/YYYY" [min]="minDate" [max]="maxDate" maxlength="10" dateOnly readonly
                        (change)="validateDate()" (click)="Medpicker.open()">
                      <mat-icon matSuffix (click)="Medpicker.open()" style="cursor:pointer; color:#777;">today
                      </mat-icon>
                      <mat-datepicker #Medpicker></mat-datepicker>
                    </mat-form-field>
                  </span>
                </div>
              </div>

              <div fxLayout="row" *ngIf="preSelectedDocType === 54 && isCollMD">
                <div fxFlex="100" class="content-sub">
                  <span fxFlex="99">
                    <mat-label fxFlex="25" class="content-sub-fld1">{{ lblCollMD }} :</mat-label>
                    <mat-form-field fxFlex="25" appearance="outline" class="content-sub-fld2">
                      <input matInput name="collaboratingMD" formControlName="collaboratingMDCtrl" maxlength="50">
                    </mat-form-field>
                  </span>
                </div>
              </div>
            </div>

            <br>
            <!-- document section -->
            <div class="content-sub">
              <label class="content-sub-label required-label-color" for="docTypeCtrl">Document Type :</label>
              <mat-form-field class="content-sub-field" appearance="outline">
                <mat-select id="docTypeCtrl" formControlName="docTypeCtrl" (selectionChange)="onDocTypeChange()">
                  <mat-option *ngIf="preSelectedDocType < 1" [value]="0">Select One</mat-option>
                  <mat-option *ngFor="let doctype of docTypes" [value]="doctype.refGroupDetailID">
                    {{doctype.refGroupDetailDescription}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
            </div>

            <div class="content-sub">
              <label class="content-sub-label required-label-color" for="docFileCtrl">File to Attach :</label>
              <mat-form-field class="content-sub-field" appearance="outline">
                <input matInput id="docFileCtrl" #docFileCtrl formControlName="docFileCtrl" (click)="fileCtrl.click()"
                  readonly>
              </mat-form-field>
              <button class="content-sub-field2" type="button" (click)="docFileCtrl.click()">Browse File</button>
              <input class="fileInput" type="file" #fileCtrl formControlName="fileCtrl" placeholder="Choose file"
                (change)="onHandleFileInput($event.target.files)">
            </div>

            <div class="content-sub">
              <label class="content-sub-label required-label-color" for="docDescriptionCtrl">Document Description
                :</label>
              <mat-form-field class="content-sub-field" appearance="outline">
                <input matInput id="docDescriptionCtrl" formControlName="docDescriptionCtrl" maxlength="100"
                  (blur)="logValidationErrors()">
              </mat-form-field>
              <mat-icon class="content-sub-actions green-color" matTooltip="Upload Document" (click)="onSubmit()">
                add_circle</mat-icon>
            </div>

          </form>

          <div class="content-sub-grid">
            <ag-grid-angular #agGrid id="docGrid" style="width: 100%;" class="ag-theme-balham my-grid"
              [columnDefs]="columnDefs" [defaultColDef]="defaultColDef" [rowData]="rowData"
              [rowSelection]="rowSelection" [singleClickEdit]="true" [floatingFilter]="false" [animateRows]="true"
              [gridOptions]="gridOptions" [pagination]="pagination" [paginationPageSize]="5" [context]="context"
              [frameworkComponents]="frameworkComponents" [overlayNoRowsTemplate]="overlayNoRowsTemplate"
              (gridReady)="onGridReady($event)">
            </ag-grid-angular>
          </div>

        </div>

      </mat-card-content>
    </mat-card>

  </mat-card-content>
</mat-card>

<!-- Prior Supportive Housing grid-->
<div [hidden]="originalPreSelectedDocType !== 55">
  <mat-card class="document-main" style="margin-top: 10px;">
    <mat-card-header>
      <mat-card-title>Housing Documents from Prior Applications</mat-card-title>
    </mat-card-header>
    <mat-card-content>
      <mat-card class="document-sub" [class.mat-elevation-z0]="true">
        <mat-card-content>

          <div class="content-main regular-mat-form-field">
            <div class="content-sub-grid">
              <ag-grid-angular #priorDocGrid id="priorDocGrid" style="width: 100%;height:240px"
                class="ag-theme-balham my-grid" [columnDefs]="columnDefs" [defaultColDef]="defaultColDef"
                [rowData]="priorRowData" [floatingFilter]="false" [animateRows]="true" [gridOptions]="gridOptions"
                [pagination]="true" [paginationPageSize]="5" [context]="context"
                [frameworkComponents]="priorFrameworkComponents" (gridReady)="onPriorGridReady($event)">
              </ag-grid-angular>
            </div>
          </div>

        </mat-card-content>
      </mat-card>
    </mat-card-content>
  </mat-card>
</div>